Qyra
ReferenceSpaces

Upsert space as code (deprecated)

Upsert space as code (deprecated)

POST/api/v1/projects/{projectUuid}/spaces/code

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
skipSpaceCreatebooleanNo
publicSpaceCreatebooleanNo

Request body

{
  "access": {
    "groups": [
      {
        "role": "viewer",
        "name": "string"
      }
    ],
    "users": [
      {
        "role": "viewer",
        "email": "string"
      }
    ],
    "projectMemberAccessRole": {},
    "inheritParentPermissions": true
  },
  "slug": "string",
  "spaceName": "string",
  "version": 1,
  "contentType": "space"
}

Responses

200 — Success

{
  "results": {
    "warnings": [
      "string"
    ],
    "action": "CREATE"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}